## python-aioice 0.8.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aioice
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-aioice 0.6.14

=== debian/changelog ===
python-aioice (0.6.14-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  [ Martin ]
  * Minor fixes (add copyright years, doc is Multi-Arch: foreign)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Dec 2019 23:59:34 +0000

python-aioice (0.6.14-1) unstable; urgency=low

  * Initial packaging. Closes: #921689

 -- W. Martin Borgert <debacle@debian.org>  Sat, 09 Feb 2019 20:56:16 +0000

=== debian/control ===
Source: python-aioice
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper-compat (= 12),
	dh-python,
	python3-all,
	python3-netifaces,
	python3-setuptools,
	python3-sphinx,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://github.com/aiortc/aioice/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-aioice.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aioice

Package: python3-aioice
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: library for Interactive Connectivity Establishment
 aioice is a library for Interactive Connectivity Establishment
 (RFC 5245) in Python. It is built on top of asyncio, Python’s
 standard asynchronous I/O framework.
 .
 Interactive Connectivity Establishment (ICE) is useful for
 applications that establish peer-to-peer UDP data streams, as it
 facilitates NAT traversal. Typical usecases include SIP and
 WebRTC.

Package: python-aioice-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	${sphinxdoc:Depends},
	libjs-jquery,
	libjs-underscore,
Description: library for Interactive Connectivity Establishment (documentation)
 aioice is a library for Interactive Connectivity Establishment
 (RFC 5245) in Python. It is built on top of asyncio, Python’s
 standard asynchronous I/O framework.
 .
 Interactive Connectivity Establishment (ICE) is useful for
 applications that establish peer-to-peer UDP data streams, as it
 facilitates NAT traversal. Typical usecases include SIP and
 WebRTC.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aioice

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_build:
	dh_auto_build
	cd docs && http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' $(MAKE) html

## python-aioice 0.6.18

=== debian/changelog ===
python-aioice (0.6.18-2) unstable; urgency=medium

  * enable testsuite;
    build-depend on python3-pytest

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jun 2020 22:56:00 +0200

python-aioice (0.6.18-1) experimental; urgency=low

  * initial packaging
    closes: bug#963562

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jun 2020 21:01:39 +0200

=== debian/control ===
Source: python-aioice
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-python3,
 python3-dev,
 python3-netifaces,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/python-aioice.git
Vcs-Browser: https://salsa.debian.org/debian/python-aioice
Homepage: https://github.com/aiortc/aioice
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-aioice
Architecture: all
Depends:
 python3-netifaces,
 ${misc:Depends},
 ${python3:Depends},
Description: implementation of ICE
 aioice is a library for Interactive Connectivity Establishment
 (RFC 5245) in Python.
 It is built on top of asyncio,
 Python's standard asynchronous I/O framework.
 .
 Interactive Connectivity Establishment (ICE)
 is useful for applications
 that establish peer-to-peer UDP data streams,
 as it facilitates NAT traversal.
 Typical usecases include SIP and WebRTC.

=== debian/rules ===
#!/usr/bin/make -f

# avoid network tests
export PYBUILD_TEST_ARGS = \
 --ignore=tests/test_ice.py \
 --ignore=tests/test_ice_trickle.py

%:
	dh $@ --buildsystem=pybuild --test-pytest

## python-aioice 0.7.7

=== debian/changelog ===
python-aioice (0.7.7-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tighten to build-depend on recent python3-dnspython
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 12:00:24 +0100

python-aioice (0.7.5-2) unstable; urgency=medium

  * release to unstable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 15:25:32 +0200

python-aioice (0.7.5-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * skip more tests requiring network

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 15:20:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
  python3-dev,
- python3-netifaces,
+ python3-dnspython (>= 2.0.0) <!nocheck>,
+ python3-netifaces <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/python-aioice.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aioice
 Homepage: https://github.com/aiortc/aioice
@@ -19,7 +20,6 @@
 Package: python3-aioice
 Architecture: all
 Depends:
- python3-netifaces,
  ${misc:Depends},
  ${python3:Depends},
 Description: implementation of ICE

=== debian/rules ===
#!/usr/bin/make -f

# avoid network tests
export PYBUILD_TEST_ARGS = \
 --ignore=tests/test_ice.py \
 --ignore=tests/test_ice_trickle.py \
 --ignore=tests/test_mdns.py \
 --ignore=tests/test_turn.py

%:
	dh $@ --buildsystem=pybuild --test-pytest

## python-aioice 0.8.0

=== debian/changelog ===
python-aioice (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 11:49:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-netifaces <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/python-aioice.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aioice
 Homepage: https://github.com/aiortc/aioice

## python-aioice 0.9.0

=== debian/changelog ===
python-aioice (0.9.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on python3-ifaddr (not python3-netifaces)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Jun 2023 13:53:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-sequence-python3,
  python3-dev,
  python3-dnspython (>= 2.0.0) <!nocheck>,
- python3-netifaces <!nocheck>,
+ python3-ifaddr (>= 0.2) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
 Standards-Version: 4.6.2

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/aiortc/aioice/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-aioice 0.10.1

=== debian/changelog ===
python-aioice (0.10.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on pybuild-plugin-pyproject
  * declare compliance with Debian Policy 4.7.2
  * have pytest emit verbose output unless DEB_BUILD_OPTIONS=terse
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Apr 2025 13:58:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-dev,
  python3-dnspython (>= 2.0.0) <!nocheck>,
  python3-ifaddr (>= 0.2) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/python-aioice.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aioice
 Homepage: https://github.com/aiortc/aioice

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
 
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+export PYBUILD_TEST_ARGS += -vv
+endif
+
 # avoid network tests
-export PYBUILD_TEST_ARGS = \
+export PYBUILD_TEST_ARGS += \
  --ignore=tests/test_ice.py \
  --ignore=tests/test_ice_trickle.py \
  --ignore=tests/test_mdns.py \

## python-aioice 0.10.2

=== debian/changelog ===
python-aioice (0.10.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Nov 2025 12:06:20 +0100
